# PulpcoreClient::ImportersPulpApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ImportersPulpApi.md#create) | **POST** /pulp/api/v3/importers/core/pulp/ | Create a pulp importer
[**delete**](ImportersPulpApi.md#delete) | **DELETE** {pulp_importer_href} | Delete a pulp importer
[**list**](ImportersPulpApi.md#list) | **GET** /pulp/api/v3/importers/core/pulp/ | List pulp importers
[**partial_update**](ImportersPulpApi.md#partial_update) | **PATCH** {pulp_importer_href} | Update a pulp importer
[**read**](ImportersPulpApi.md#read) | **GET** {pulp_importer_href} | Inspect a pulp importer
[**update**](ImportersPulpApi.md#update) | **PUT** {pulp_importer_href} | Update a pulp importer



## create

> PulpImporterResponse create(pulp_importer)

Create a pulp importer

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
pulp_importer = PulpcoreClient::PulpImporter.new # PulpImporter | 

begin
  #Create a pulp importer
  result = api_instance.create(pulp_importer)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_importer** | [**PulpImporter**](PulpImporter.md)|  | 

### Return type

[**PulpImporterResponse**](PulpImporterResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(pulp_importer_href)

Delete a pulp importer

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
pulp_importer_href = 'pulp_importer_href_example' # String | 

begin
  #Delete a pulp importer
  api_instance.delete(pulp_importer_href)
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_importer_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> PaginatedPulpImporterResponseList list(opts)

List pulp importers

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | 
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List pulp importers
  result = api_instance.list(opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**|  | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedPulpImporterResponseList**](PaginatedPulpImporterResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> PulpImporterResponse partial_update(pulp_importer_href, patched_pulp_importer)

Update a pulp importer

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
pulp_importer_href = 'pulp_importer_href_example' # String | 
patched_pulp_importer = PulpcoreClient::PatchedPulpImporter.new # PatchedPulpImporter | 

begin
  #Update a pulp importer
  result = api_instance.partial_update(pulp_importer_href, patched_pulp_importer)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_importer_href** | **String**|  | 
 **patched_pulp_importer** | [**PatchedPulpImporter**](PatchedPulpImporter.md)|  | 

### Return type

[**PulpImporterResponse**](PulpImporterResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> PulpImporterResponse read(pulp_importer_href, opts)

Inspect a pulp importer

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
pulp_importer_href = 'pulp_importer_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a pulp importer
  result = api_instance.read(pulp_importer_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_importer_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PulpImporterResponse**](PulpImporterResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> PulpImporterResponse update(pulp_importer_href, pulp_importer)

Update a pulp importer

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
pulp_importer_href = 'pulp_importer_href_example' # String | 
pulp_importer = PulpcoreClient::PulpImporter.new # PulpImporter | 

begin
  #Update a pulp importer
  result = api_instance.update(pulp_importer_href, pulp_importer)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_importer_href** | **String**|  | 
 **pulp_importer** | [**PulpImporter**](PulpImporter.md)|  | 

### Return type

[**PulpImporterResponse**](PulpImporterResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

