# PulpcoreClient::ImportersPulpImportCheckApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**pulp_import_check_post**](ImportersPulpImportCheckApi.md#pulp_import_check_post) | **POST** /pulp/api/v3/importers/core/pulp/import-check/ | Validate the parameters to be used for a PulpImport call



## pulp_import_check_post

> PulpImportCheckResponse pulp_import_check_post(pulp_import_check)

Validate the parameters to be used for a PulpImport call

Evaluates validity of proposed PulpImport parameters 'toc', 'path', and 'repo_mapping'.  * Checks that toc, path are in ALLOWED_IMPORT_PATHS * if ALLOWED:   * Checks that toc, path exist and are readable   * If toc specified, checks that containing dir is writeable * Checks that repo_mapping is valid JSON

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpImportCheckApi.new
pulp_import_check = PulpcoreClient::PulpImportCheck.new # PulpImportCheck | 

begin
  #Validate the parameters to be used for a PulpImport call
  result = api_instance.pulp_import_check_post(pulp_import_check)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpImportCheckApi->pulp_import_check_post: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_import_check** | [**PulpImportCheck**](PulpImportCheck.md)|  | 

### Return type

[**PulpImportCheckResponse**](PulpImportCheckResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

