# PulpcoreClient::OrphansCleanupApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**cleanup**](OrphansCleanupApi.md#cleanup) | **POST** /pulp/api/v3/orphans/cleanup/ | 



## cleanup

> AsyncOperationResponse cleanup(orphans_cleanup)



Trigger an asynchronous orphan cleanup operation.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::OrphansCleanupApi.new
orphans_cleanup = PulpcoreClient::OrphansCleanup.new # OrphansCleanup | 

begin
  result = api_instance.cleanup(orphans_cleanup)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling OrphansCleanupApi->cleanup: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **orphans_cleanup** | [**OrphansCleanup**](OrphansCleanup.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

