# PulpcoreClient::RepairApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**post**](RepairApi.md#post) | **POST** /pulp/api/v3/repair/ | Repair Artifact Storage



## post

> AsyncOperationResponse post(repair)

Repair Artifact Storage

Trigger an asynchronous task that checks for missing or corrupted artifacts, and attempts to redownload them.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::RepairApi.new
repair = PulpcoreClient::Repair.new # Repair | 

begin
  #Repair Artifact Storage
  result = api_instance.post(repair)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling RepairApi->post: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repair** | [**Repair**](Repair.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

