# PulpcoreClient::RepositoriesReclaimSpaceApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**reclaim**](RepositoriesReclaimSpaceApi.md#reclaim) | **POST** /pulp/api/v3/repositories/reclaim_space/ | 



## reclaim

> AsyncOperationResponse reclaim(reclaim_space)



Trigger an asynchronous space reclaim operation.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::RepositoriesReclaimSpaceApi.new
reclaim_space = PulpcoreClient::ReclaimSpace.new # ReclaimSpace | 

begin
  result = api_instance.reclaim(reclaim_space)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling RepositoriesReclaimSpaceApi->reclaim: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **reclaim_space** | [**ReclaimSpace**](ReclaimSpace.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

