# PulpcoreClient::StatusApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**status_read**](StatusApi.md#status_read) | **GET** /pulp/api/v3/status/ | Inspect status of Pulp



## status_read

> StatusResponse status_read

Inspect status of Pulp

Returns status and app information about Pulp.  Information includes:  * version of pulpcore and loaded pulp plugins  * known workers  * known content apps  * database connection status  * redis connection status  * disk usage information

### Example

```ruby
# load the gem
require 'pulpcore_client'

api_instance = PulpcoreClient::StatusApi.new

begin
  #Inspect status of Pulp
  result = api_instance.status_read
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling StatusApi->status_read: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**StatusResponse**](StatusResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

