# PulpcoreClient::TaskResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**state** | **String** | The current state of the task. The possible values include: &#39;waiting&#39;, &#39;skipped&#39;, &#39;running&#39;, &#39;completed&#39;, &#39;failed&#39;, &#39;canceled&#39; and &#39;canceling&#39;. | [optional] [readonly] 
**name** | **String** | The name of task. | 
**logging_cid** | **String** | The logging correlation id associated with this task | 
**started_at** | **DateTime** | Timestamp of the when this task started execution. | [optional] [readonly] 
**finished_at** | **DateTime** | Timestamp of the when this task stopped execution. | [optional] [readonly] 
**error** | **Hash&lt;String, Object&gt;** | A JSON Object of a fatal error encountered during the execution of this task. | [optional] [readonly] 
**worker** | **String** | The worker associated with this task. This field is empty if a worker is not yet assigned. | [optional] [readonly] 
**parent_task** | **String** | The parent task that spawned this task. | [optional] [readonly] 
**child_tasks** | **Array&lt;String&gt;** | Any tasks spawned by this task. | [optional] [readonly] 
**task_group** | **String** | The task group that this task is a member of. | [optional] [readonly] 
**progress_reports** | [**Array&lt;ProgressReportResponse&gt;**](ProgressReportResponse.md) |  | [optional] [readonly] 
**created_resources** | **Array&lt;String&gt;** | Resources created by this task. | [optional] [readonly] 
**reserved_resources_record** | **Array&lt;String&gt;** | A list of resources required by that task. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::TaskResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 state: null,
                                 name: null,
                                 logging_cid: null,
                                 started_at: null,
                                 finished_at: null,
                                 error: null,
                                 worker: null,
                                 parent_task: null,
                                 child_tasks: null,
                                 task_group: null,
                                 progress_reports: null,
                                 created_resources: null,
                                 reserved_resources_record: null)
```


