# PulpcoreClient::UsersApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**list**](UsersApi.md#list) | **GET** /pulp/api/v3/users/ | List users
[**permissions**](UsersApi.md#permissions) | **GET** {auth_user_href}permissions/ | 
[**read**](UsersApi.md#read) | **GET** {auth_user_href} | Inspect an user



## list

> PaginatedUserResponseList list(opts)

List users

ViewSet for User.  NOTE: This API endpoint is in \"tech preview\" and subject to change

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UsersApi.new
opts = {
  email: 'email_example', # String | Filter results where email matches value
  email__contains: 'email__contains_example', # String | Filter results where email contains value
  email__icontains: 'email__icontains_example', # String | Filter results where email contains value
  email__iexact: 'email__iexact_example', # String | Filter results where email matches value
  email__in: ['email__in_example'], # Array<String> | Filter results where email is in a comma-separated list of values
  first_name: 'first_name_example', # String | Filter results where first_name matches value
  first_name__contains: 'first_name__contains_example', # String | Filter results where first_name contains value
  first_name__icontains: 'first_name__icontains_example', # String | Filter results where first_name contains value
  first_name__iexact: 'first_name__iexact_example', # String | Filter results where first_name matches value
  first_name__in: ['first_name__in_example'], # Array<String> | Filter results where first_name is in a comma-separated list of values
  is_active: true, # Boolean | Filter results where is_active matches value
  is_staff: true, # Boolean | Filter results where is_staff matches value
  last_name: 'last_name_example', # String | Filter results where last_name matches value
  last_name__contains: 'last_name__contains_example', # String | Filter results where last_name contains value
  last_name__icontains: 'last_name__icontains_example', # String | Filter results where last_name contains value
  last_name__iexact: 'last_name__iexact_example', # String | Filter results where last_name matches value
  last_name__in: ['last_name__in_example'], # Array<String> | Filter results where last_name is in a comma-separated list of values
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  username: 'username_example', # String | Filter results where username matches value
  username__contains: 'username__contains_example', # String | Filter results where username contains value
  username__icontains: 'username__icontains_example', # String | Filter results where username contains value
  username__iexact: 'username__iexact_example', # String | Filter results where username matches value
  username__in: ['username__in_example'], # Array<String> | Filter results where username is in a comma-separated list of values
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List users
  result = api_instance.list(opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UsersApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**| Filter results where email matches value | [optional] 
 **email__contains** | **String**| Filter results where email contains value | [optional] 
 **email__icontains** | **String**| Filter results where email contains value | [optional] 
 **email__iexact** | **String**| Filter results where email matches value | [optional] 
 **email__in** | [**Array&lt;String&gt;**](String.md)| Filter results where email is in a comma-separated list of values | [optional] 
 **first_name** | **String**| Filter results where first_name matches value | [optional] 
 **first_name__contains** | **String**| Filter results where first_name contains value | [optional] 
 **first_name__icontains** | **String**| Filter results where first_name contains value | [optional] 
 **first_name__iexact** | **String**| Filter results where first_name matches value | [optional] 
 **first_name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where first_name is in a comma-separated list of values | [optional] 
 **is_active** | **Boolean**| Filter results where is_active matches value | [optional] 
 **is_staff** | **Boolean**| Filter results where is_staff matches value | [optional] 
 **last_name** | **String**| Filter results where last_name matches value | [optional] 
 **last_name__contains** | **String**| Filter results where last_name contains value | [optional] 
 **last_name__icontains** | **String**| Filter results where last_name contains value | [optional] 
 **last_name__iexact** | **String**| Filter results where last_name matches value | [optional] 
 **last_name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where last_name is in a comma-separated list of values | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **username** | **String**| Filter results where username matches value | [optional] 
 **username__contains** | **String**| Filter results where username contains value | [optional] 
 **username__icontains** | **String**| Filter results where username contains value | [optional] 
 **username__iexact** | **String**| Filter results where username matches value | [optional] 
 **username__in** | [**Array&lt;String&gt;**](String.md)| Filter results where username is in a comma-separated list of values | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedUserResponseList**](PaginatedUserResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## permissions

> PermissionResponse permissions(auth_user_href, opts)



List user permissions.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UsersApi.new
auth_user_href = 'auth_user_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.permissions(auth_user_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UsersApi->permissions: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **auth_user_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PermissionResponse**](PermissionResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> UserResponse read(auth_user_href, opts)

Inspect an user

ViewSet for User.  NOTE: This API endpoint is in \"tech preview\" and subject to change

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::UsersApi.new
auth_user_href = 'auth_user_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect an user
  result = api_instance.read(auth_user_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling UsersApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **auth_user_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**UserResponse**](UserResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

